For the complete documentation index, see llms.txt. This page is also available as Markdown.

컴포넌트

컴포넌트 목록 조회

get

엔터프라이즈의 컴포넌트 목록을 페이지네이션으로 조회합니다.

페이지네이션

  • offset 기반 페이징 (0부터 시작)

  • limit: 페이지 크기 (최소 1, 최대 100)

  • 응답의 hasNext로 다음 페이지 존재 여부 확인

필터 조건

  • categoryId: 카테고리 ID 필터

  • name: 이름 검색어 (부분 일치)

  • sortType: 정렬 기준 (ID_DESC, ID_ASC, NAME_ASC, NAME_DESC, UPDATED_ASC, UPDATED_DESC)

Authorizations
x-api-keystringRequired
Query parameters
offsetinteger · int32Required

페이지 번호 (0부터 시작, offset 페이징)

limitinteger · int32Required

페이지 크기 (최소: 1, 최대: 100)

categoryIdstringOptional

카테고리 ID

namestringOptional

이름 검색어

sortTypestring · enumOptional

정렬 타입

Default: ID_DESCPossible values:
Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
get/api/v1/components
GET /api/v1/components?offset=1&limit=1 HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": {
    "content": [
      {
        "id": "text",
        "name": "text",
        "translatedNames": [
          {
            "code": "text",
            "value": "text"
          }
        ],
        "code": "text",
        "sku": "text",
        "brand": "text",
        "color": {
          "code": "text",
          "name": "text"
        },
        "retailPrice": {
          "value": 1,
          "unit": "KRW"
        },
        "factoryPrice": {
          "value": 1,
          "unit": "KRW"
        },
        "mainMaterial": "text",
        "subMaterial": "text",
        "dimension": {
          "mmWidth": 1,
          "mmDepth": 1,
          "mmHeight": 1,
          "inchWidth": 1,
          "inchDepth": 1,
          "inchHeight": 1
        },
        "previewImage": "text",
        "showInEditor": true,
        "usageInEditor": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z"
      }
    ],
    "hasNext": true,
    "totalCount": 1
  },
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

컴포넌트 생성

post

새 컴포넌트를 생성한다.

Authorizations
x-api-keystringRequired
Body
namestringRequired

이름

Example: 원목 의자
codestringOptional

코드

Example: COMP-001
brandCodestringOptional

브랜드 코드

Example: BRAND-001
namespacestringOptional

네임스페이스

Example: furniture
typestringOptional

타입

Example: CHAIR
statusstringOptional

상태

Example: ACTIVE
skustringOptional

SKU

Example: SKU-12345
mainMaterialstringOptional

주재료

Example: 원목
subMaterialstringOptional

부재료

Example: 패브릭
rawMaterialstringOptional

원재료

Example: 참나무
unitstringOptional

단위

Example: 개
versionstringOptional

버전

Example: v1.0
isFinalbooleanRequired

최종 부품 여부

previewImagestringOptional

대표 이미지 URL

imagesstring[]Required

이미지 URL 목록

isPersonalbooleanOptional

개인 라이브러리 업로드 여부

Default: false
modelingIdstringOptional

모델링 ID

Example: XoczGmj878585A7E7E64F6C
Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
post/api/v1/components
POST /api/v1/components HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1152

{
  "name": "원목 의자",
  "code": "COMP-001",
  "brandCode": "BRAND-001",
  "namespace": "furniture",
  "color": {
    "code": "#FFFFFF",
    "name": "화이트"
  },
  "translatedNames": [
    {
      "code": "ko",
      "value": "원목 의자"
    }
  ],
  "type": "CHAIR",
  "status": "ACTIVE",
  "sku": "SKU-12345",
  "dimension": {
    "mm": {
      "width": 600,
      "depth": 600,
      "height": 900
    },
    "inch": {
      "width": 600,
      "depth": 600,
      "height": 900
    }
  },
  "retailPrice": {
    "value": 150000,
    "unit": "KRW"
  },
  "factoryPrice": {
    "value": 150000,
    "unit": "KRW"
  },
  "mainMaterial": "원목",
  "subMaterial": "패브릭",
  "rawMaterial": "참나무",
  "unit": "개",
  "version": "v1.0",
  "extra": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "isFinal": true,
  "previewImage": "text",
  "images": [
    "text"
  ],
  "isPersonal": false,
  "modelingId": "XoczGmj878585A7E7E64F6C",
  "editorSetting": {
    "usageCode": 20,
    "showInEditor": true,
    "dimensionLock": {
      "width": false,
      "depth": false,
      "height": false
    },
    "door": {
      "isOpen": false,
      "openDirection": "PULL",
      "handlePosition": "LEFT"
    }
  },
  "childComponents": [
    {
      "id": "XoczGmj878585A7E7E64F6C",
      "quantity": 1,
      "matrices": [
        [
          "text"
        ]
      ],
      "isRequired": true
    }
  ],
  "category": {
    "categoryIds": [
      "CAT-001",
      "CAT-002"
    ]
  },
  "codeRelations": [
    {
      "options": [
        {
          "key": "color",
          "value": "white"
        }
      ],
      "targetType": "SKU",
      "targetCode": "SKU-12345"
    }
  ]
}
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": {
    "id": "text",
    "enterpriseId": "text",
    "userId": "text",
    "code": "text",
    "namespace": "text",
    "color": {
      "code": "text",
      "name": "text"
    },
    "name": "text",
    "translatedNames": [
      {
        "code": "text",
        "value": "text"
      }
    ],
    "parametricType": "text",
    "type": "text",
    "status": "text",
    "sku": "text",
    "retailPrice": {
      "value": 1,
      "unit": "KRW"
    },
    "factoryPrice": {
      "value": 1,
      "unit": "KRW"
    },
    "mainMaterial": "text",
    "subMaterial": "text",
    "rawMaterial": "text",
    "brandCode": "text",
    "dimension": {
      "mmWidth": 1,
      "mmDepth": 1,
      "mmHeight": 1,
      "inchWidth": 1,
      "inchDepth": 1,
      "inchHeight": 1
    },
    "isRaw": true,
    "isFinal": true,
    "unit": "text",
    "version": "text",
    "extra": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "modelingId": "text",
    "previewImage": {
      "id": "text",
      "name": "text",
      "url": "text"
    },
    "images": [
      {
        "id": "text",
        "name": "text",
        "url": "text"
      }
    ],
    "hdViewerAssets": [
      {
        "id": "text",
        "name": "text",
        "url": "text"
      }
    ],
    "dxfAsset": {
      "id": "text",
      "name": "text",
      "url": "text"
    },
    "arAsset": {
      "ios": {
        "id": "text",
        "name": "text",
        "url": "text"
      },
      "android": {
        "id": "text",
        "name": "text",
        "url": "text"
      }
    },
    "editorSetting": {
      "editorType": "FLOOR_ITEM",
      "showInEditor": true,
      "dimensionLock": {
        "width": true,
        "depth": true,
        "height": true
      },
      "door": {
        "isOpen": true,
        "openDirection": "PULL",
        "handlePosition": "LEFT"
      }
    },
    "childComponents": [
      {
        "id": "text",
        "quantity": "text",
        "matrices": [
          [
            "text"
          ]
        ],
        "isRequired": true
      }
    ],
    "categories": [
      {
        "categoryId": "text",
        "order": 1
      }
    ],
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "modeling": {
      "id": "text",
      "name": "text",
      "renderingStatus": "WAITING",
      "renderingStartedAt": "2026-01-01T00:00:00.000Z",
      "renderingFinishedAt": "2026-01-01T00:00:00.000Z",
      "renderingFailedAt": "2026-01-01T00:00:00.000Z",
      "dimension": {
        "mmWidth": 1,
        "mmDepth": 1,
        "mmHeight": 1,
        "inchWidth": 1,
        "inchDepth": 1,
        "inchHeight": 1
      },
      "images": [
        {
          "id": "text",
          "name": "text",
          "url": "text"
        }
      ],
      "file": {
        "id": "text",
        "name": "text",
        "url": "text"
      },
      "editorAsset": {
        "id": "text",
        "name": "text",
        "url": "text"
      },
      "renderAsset": {
        "id": "text",
        "name": "text",
        "url": "text"
      },
      "decimateAsset": {
        "id": "text",
        "name": "text",
        "url": "text"
      },
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    }
  },
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

컴포넌트 에셋 업로드

post

컴포넌트의 에셋을 업로드한다.

Authorizations
x-api-keystringRequired
Path parameters
idstringRequired

컴포넌트 ID

Body
assetTypestring · enumRequired

컴포넌트 에셋 타입

Possible values:
filesstring · binary[]Required

파일 목록

Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
post/api/v1/components/{id}/assets
POST /api/v1/components/{id}/assets HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 48

{
  "assetType": "PREVIEW_IMAGE",
  "files": [
    "binary"
  ]
}
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": {
    "id": "text",
    "assetType": "text",
    "assets": [
      {
        "id": "text",
        "name": "text",
        "url": "text"
      }
    ]
  },
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

컴포넌트 단건 조회

get

ID로 컴포넌트와 모델링 정보를 조회한다.

Authorizations
x-api-keystringRequired
Path parameters
idstringRequired

컴포넌트 ID

Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
get/api/v1/components/{id}
GET /api/v1/components/{id} HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": {
    "id": "text",
    "enterpriseId": "text",
    "userId": "text",
    "code": "text",
    "namespace": "text",
    "color": {
      "code": "text",
      "name": "text"
    },
    "name": "text",
    "translatedNames": [
      {
        "code": "text",
        "value": "text"
      }
    ],
    "parametricType": "text",
    "type": "text",
    "status": "text",
    "sku": "text",
    "retailPrice": {
      "value": 1,
      "unit": "KRW"
    },
    "factoryPrice": {
      "value": 1,
      "unit": "KRW"
    },
    "mainMaterial": "text",
    "subMaterial": "text",
    "rawMaterial": "text",
    "brandCode": "text",
    "dimension": {
      "mmWidth": 1,
      "mmDepth": 1,
      "mmHeight": 1,
      "inchWidth": 1,
      "inchDepth": 1,
      "inchHeight": 1
    },
    "isRaw": true,
    "isFinal": true,
    "unit": "text",
    "version": "text",
    "extra": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "modelingId": "text",
    "previewImage": {
      "id": "text",
      "name": "text",
      "url": "text"
    },
    "images": [
      {
        "id": "text",
        "name": "text",
        "url": "text"
      }
    ],
    "hdViewerAssets": [
      {
        "id": "text",
        "name": "text",
        "url": "text"
      }
    ],
    "dxfAsset": {
      "id": "text",
      "name": "text",
      "url": "text"
    },
    "arAsset": {
      "ios": {
        "id": "text",
        "name": "text",
        "url": "text"
      },
      "android": {
        "id": "text",
        "name": "text",
        "url": "text"
      }
    },
    "editorSetting": {
      "editorType": "FLOOR_ITEM",
      "showInEditor": true,
      "dimensionLock": {
        "width": true,
        "depth": true,
        "height": true
      },
      "door": {
        "isOpen": true,
        "openDirection": "PULL",
        "handlePosition": "LEFT"
      }
    },
    "childComponents": [
      {
        "id": "text",
        "quantity": "text",
        "matrices": [
          [
            "text"
          ]
        ],
        "isRequired": true
      }
    ],
    "categories": [
      {
        "categoryId": "text",
        "order": 1
      }
    ],
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "modeling": {
      "id": "text",
      "name": "text",
      "renderingStatus": "WAITING",
      "renderingStartedAt": "2026-01-01T00:00:00.000Z",
      "renderingFinishedAt": "2026-01-01T00:00:00.000Z",
      "renderingFailedAt": "2026-01-01T00:00:00.000Z",
      "dimension": {
        "mmWidth": 1,
        "mmDepth": 1,
        "mmHeight": 1,
        "inchWidth": 1,
        "inchDepth": 1,
        "inchHeight": 1
      },
      "images": [
        {
          "id": "text",
          "name": "text",
          "url": "text"
        }
      ],
      "file": {
        "id": "text",
        "name": "text",
        "url": "text"
      },
      "editorAsset": {
        "id": "text",
        "name": "text",
        "url": "text"
      },
      "renderAsset": {
        "id": "text",
        "name": "text",
        "url": "text"
      },
      "decimateAsset": {
        "id": "text",
        "name": "text",
        "url": "text"
      },
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    }
  },
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

컴포넌트 기본정보 수정

patch

컴포넌트의 기본정보를 수정한다.

Authorizations
x-api-keystringRequired
Path parameters
idstringRequired

컴포넌트 ID

Body
namestringRequired

이름

Example: 원목 의자
codestringOptional

코드

Example: COMP-001
brandCodestringOptional

브랜드 코드

Example: BRAND-001
namespacestringOptional

네임스페이스

Example: furniture
typestringOptional

타입

Example: CHAIR
statusstringOptional

상태

Example: ACTIVE
skustringOptional

SKU

Example: SKU-12345
mainMaterialstringOptional

주재료

Example: 원목
subMaterialstringOptional

부재료

Example: 패브릭
rawMaterialstringOptional

원재료

Example: 참나무
unitstringOptional

단위

Example: 개
versionstringOptional

버전

Example: v1.0
Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
dataanyOptional

응답 데이터

patch/api/v1/components/{id}
PATCH /api/v1/components/{id} HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 591

{
  "name": "원목 의자",
  "code": "COMP-001",
  "brandCode": "BRAND-001",
  "namespace": "furniture",
  "color": {
    "code": "#FFFFFF",
    "name": "화이트"
  },
  "translatedNames": [
    {
      "code": "ko",
      "value": "원목 의자"
    }
  ],
  "type": "CHAIR",
  "status": "ACTIVE",
  "sku": "SKU-12345",
  "dimension": {
    "mm": {
      "width": 600,
      "depth": 600,
      "height": 900
    },
    "inch": {
      "width": 600,
      "depth": 600,
      "height": 900
    }
  },
  "retailPrice": {
    "value": 150000,
    "unit": "KRW"
  },
  "factoryPrice": {
    "value": 150000,
    "unit": "KRW"
  },
  "mainMaterial": "원목",
  "subMaterial": "패브릭",
  "rawMaterial": "참나무",
  "unit": "개",
  "version": "v1.0",
  "extra": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": null,
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

컴포넌트 모델링 수정

patch

컴포넌트에 연결된 모델링 정보를 수정한다.

Authorizations
x-api-keystringRequired
Path parameters
idstringRequired

컴포넌트 ID

Body
modelingIdstringOptional

연결할 모델링 ID (null이면 연결 해제)

Example: 507f1f77bcf86cd799439011
Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
dataanyOptional

응답 데이터

patch/api/v1/components/{id}/modeling
PATCH /api/v1/components/{id}/modeling HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 41

{
  "modelingId": "507f1f77bcf86cd799439011"
}
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": null,
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

컴포넌트 에디터 설정 수정

patch

컴포넌트의 에디터 설정을 수정한다.

Authorizations
x-api-keystringRequired
Path parameters
idstringRequired

컴포넌트 ID

Body
editorTypestring · enumRequired

에디터 타입

Example: STATICPossible values:
showInEditorbooleanRequired

에디터 노출 여부

Example: true
Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
dataanyOptional

응답 데이터

patch/api/v1/components/{id}/editor
PATCH /api/v1/components/{id}/editor HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 175

{
  "editorType": "STATIC",
  "showInEditor": true,
  "dimensionLock": {
    "width": false,
    "depth": false,
    "height": false
  },
  "door": {
    "isOpen": false,
    "openDirection": "PULL",
    "handlePosition": "LEFT"
  }
}
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": null,
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

컴포넌트 BOM 조회

get

ID로 컴포넌트의 flat BOM 구조를 조회한다.

Authorizations
x-api-keystringRequired
Path parameters
idstringRequired

컴포넌트 ID

Responses
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

application/json
resultstring · enumRequired

응답 결과 타입

Possible values:
get/api/v1/components/{id}/bom
GET /api/v1/components/{id}/bom HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
200

모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)

{
  "result": "SUCCESS",
  "data": {
    "parentChildrenRelation": [
      {
        "compositionId": "text",
        "parentId": "text",
        "childId": "text",
        "recipeId": "text"
      }
    ],
    "componentMap": {
      "ANY_ADDITIONAL_PROPERTY": {
        "id": "text",
        "enterpriseId": "text",
        "userId": "text",
        "code": "text",
        "namespace": "text",
        "color": {
          "code": "text",
          "name": "text"
        },
        "name": "text",
        "translatedNames": [
          {
            "code": "text",
            "value": "text"
          }
        ],
        "type": "text",
        "status": "text",
        "sku": "text",
        "retailPrice": {
          "value": 1,
          "unit": "KRW"
        },
        "factoryPrice": {
          "value": 1,
          "unit": "KRW"
        },
        "mainMaterial": "text",
        "subMaterial": "text",
        "rawMaterial": "text",
        "brandCode": "text",
        "dimension": {
          "mmWidth": 1,
          "mmDepth": 1,
          "mmHeight": 1,
          "inchWidth": 1,
          "inchDepth": 1,
          "inchHeight": 1
        },
        "isRaw": true,
        "isFinal": true,
        "unit": "text",
        "version": "text",
        "extra": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "modelingId": "text",
        "parametricModelingId": "text",
        "previewImage": {
          "id": "text",
          "name": "text",
          "url": "text"
        },
        "images": [
          {
            "id": "text",
            "name": "text",
            "url": "text"
          }
        ],
        "hdViewerAssets": [
          {
            "id": "text",
            "name": "text",
            "url": "text"
          }
        ],
        "dxfAsset": {
          "id": "text",
          "name": "text",
          "url": "text"
        },
        "arAsset": {
          "ios": {
            "id": "text",
            "name": "text",
            "url": "text"
          },
          "android": {
            "id": "text",
            "name": "text",
            "url": "text"
          }
        },
        "editorSetting": {
          "editorType": "FLOOR_ITEM",
          "showInEditor": true,
          "dimensionLock": {
            "width": true,
            "depth": true,
            "height": true
          },
          "door": {
            "isOpen": true,
            "openDirection": "PULL",
            "handlePosition": "LEFT"
          }
        },
        "categories": [
          {
            "categoryId": "text",
            "order": 1
          }
        ],
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "parametricType": "text",
        "parameters": "[Circular Reference]"
      }
    },
    "modelingMap": {
      "ANY_ADDITIONAL_PROPERTY": {
        "id": "text",
        "type": "STATIC_MODELING",
        "enterpriseId": "text",
        "userId": "text",
        "name": "text",
        "path": "text",
        "json": "text"
      }
    },
    "compositionMap": {
      "ANY_ADDITIONAL_PROPERTY": {
        "parametricComponentCompositionId": "text",
        "recipeId": "text",
        "recipePath": "text",
        "json": "text",
        "options": [
          {
            "key": "text",
            "value": "text"
          }
        ],
        "animation": "[Circular Reference]"
      }
    }
  },
  "error": {
    "errorCode": "INTERNAL_ERROR",
    "message": "text"
  }
}

마지막 업데이트

도움이 되었나요?